Loading...
Searching...
No Matches
version.h File Reference

Go to the source code of this file.

## Macros

#define | GR_VERSION_MAJOR 3
#define | GR_VERSION_API 10
#define | GR_VERSION_MINOR 12
#define | GR_VERSION_MAINT 0
#define | GR_MAKE_VERSION(major, api, minor, maint)
| macro to convert versions to comparable integers
#define | GR_VERSION GR_MAKE_VERSION(GR_VERSION_MAJOR, GR_VERSION_API, GR_VERSION_MINOR, GR_VERSION_MAINT)

## Macro Definition Documentation

## GR_MAKE_VERSION

#define GR_MAKE_VERSION | ( |  | major,
|  |  | api,
|  |  | minor,
|  |  | maint )

Value:
((maint) + ((minor) << 10) + ((api) << 20) + ((major) << 30))

macro to convert versions to comparable integers

## GR_VERSION

#define GR_VERSION GR_MAKE_VERSION(GR_VERSION_MAJOR, GR_VERSION_API, GR_VERSION_MINOR, GR_VERSION_MAINT)

## GR_VERSION_API

#define GR_VERSION_API 10

## GR_VERSION_MAINT

#define GR_VERSION_MAINT 0

## GR_VERSION_MAJOR

#define GR_VERSION_MAJOR 3

## GR_VERSION_MINOR

#define GR_VERSION_MINOR 12